Skip to main content

Documentation Index

Fetch the complete documentation index at: https://mind-e.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

GET /booking/public/lookup

Authentication

None required (public endpoint).

Query parameters

agentId
string
required
The agent ID.
code
string
required
The booking confirmation code (e.g., BK-A1B2C3).

Response

success
boolean
booking
object
canCancel
boolean
Whether the booking can be cancelled.
cancelReason
string
If canCancel is false, the reason why (e.g., “Cancellation notice period has passed”).

Example

curl "https://api.mind-e.co/booking/public/lookup?agentId=agent-id-here&code=BK-A1B2C3"

Response

{
  "success": true,
  "booking": {
    "booking_code": "BK-A1B2C3",
    "booking_date": "2026-03-05",
    "start_time": "10:00:00",
    "end_time": "10:30:00",
    "duration_minutes": 30,
    "duration_label": "30-minute call",
    "timezone": "America/New_York",
    "status": "confirmed",
    "booking_title": "Schedule a Consultation",
    "display_date": "March 5, 2026",
    "display_time": "10:00 AM - 10:30 AM"
  },
  "canCancel": true
}